Skip to navigation

List Dropdown items

List Dropdown items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

archiveReason.anyOfstringOptional

Restricts items to those with any of the specified archive reasons. Use “NOT_ARCHIVED” to filter for unarchived items. Use “ANY_ARCHIVED” to filter for archived items regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived. Comma-separated list.

archived.anyOfbooleanOptional

If true, returns archived items. If false, returns unarchived items. If both true and false, returns archived and unarchived items. Comma-separated list.

id.anyOfstringOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

name.anyOfstringOptional

Restricts results to those that match any of the specified names. Case insensitive. Warning - this filter can be non-performant due to case insensitivity. Ensure only one name filter is used at a time. Comma-separated list.

name.anyOf.caseSensitivestringOptional

Restricts results to those that match any of the specified names. Case sensitive. Ensure only one name filter is used at a time. Comma-separated list.

nextTokenstringOptional
Token for pagination
omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

Response

OK
itemslist of objectsOptional
nextTokenstringOptional

Errors

400
Dropdown List Request Bad Request Error
403
Dropdown List Request Forbidden Error
404
Dropdown List Request Not Found Error
429
Dropdown List Request Too Many Requests Error
500
Dropdown List Request Internal Server Error